GSP
Quick Navigator

Search Site

Unix VPS
A - Starter
B - Basic
C - Preferred
D - Commercial
MPS - Dedicated
Previous VPSs
* Sign Up! *

Support
Contact Us
Online Help
Handbooks
Domain Status
Man Pages

FAQ
Virtual Servers
Pricing
Billing
Technical

Network
Facilities
Connectivity
Topology Map

Miscellaneous
Server Agreement
Year 2038
Credits
 

USA Flag

 

 

Man Pages


Manual Reference Pages  -  MODULE::CPANTS::KWALITEE::BROKENINSTALLER (3)

.ds Aq ’

NAME

Module::CPANTS::Kwalitee::BrokenInstaller - Check for broken Module::Install

CONTENTS

SYNOPSIS

Find out whether the distribution uses an outdated version of Module::Install.

DESCRIPTION

    Methods

order

Defines the order in which Kwalitee tests should be run.

Returns 100, as data generated by this should not be used by any other tests.

analyse

MCK::BrokenInstaller checks whether the distribution uses Module::Install and if so whether it uses a reasonably current version of it (0.61 or later).

It also checks whether the Makefile.PL uses the auto_install feature. If so, Module::Install should be at least version 0.64.

kwalitee_indicators

Returns the Kwalitee Indicators datastructure.
o no_broken_module_install
o no_broken_auto_install

SEE ALSO

Module::CPANTS::Analyse

AUTHOR

Steffen Mueller <https://metacpan.org/author/smueller>

Thomas Klausner <https://metacpan.org/author/domm>

COPYRIGHT AND LICENSE

Copyright X 2003X2009 Thomas Klausner <https://metacpan.org/author/domm>

Copyright X 2006 Steffen Mueller <https://metacpan.org/author/smueller>

You may use and distribute this module according to the same terms that Perl is distributed under.

Search for    or go to Top of page |  Section 3 |  Main Index


perl v5.20.3 MODULE::CPANTS::KWALITEE::BROKENINSTALLER (3) 2014-11-24

Powered by GSP Visit the GSP FreeBSD Man Page Interface.
Output converted with manServer 1.07.